package com.ruoyi.dxp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 写入接口监控日志对象
 */
@ApiModel(value = "CalllogAdd", description = "用户调用日志实体")
public class CalllogAdd implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户接入id", required = true)
    private String accessId;

//    /** 资源类型：data数据，service服务 */
//    @ApiModelProperty(value = "资源类型：data数据，service服务", required = true)
//    private String resourceType;
//
//    /** 资源id：数据或服务id */
//    @ApiModelProperty("资源id")
//    private Long resourceId;
//
    /** 请求地址 */
    @ApiModelProperty(value = "接口请求地址")
    private String requestUrl;
//
//    /** 发起人 */
//    @ApiModelProperty(value = "调用人")
//    private String callName;

    /** 来源IP */
    @ApiModelProperty(value = "调用客户端IP")
    private String callIp;

    /** 调用结果：1成功，2失败 */
    @ApiModelProperty(value = "调用结果：1成功，2失败", required = true)
    private String callResult;

    /** 接口耗时（毫秒） */
    @ApiModelProperty(value = "调用耗时：毫秒")
    private Long callDuration;

    @ApiModelProperty(value = "请求参数：JSON格式字符串")
    private String requestParam;

    @ApiModelProperty(value = "返回参数：JSON格式字符串")
    private String returnParam;

    public String getAccessId() {
        return accessId;
    }

    public void setAccessId(String accessId) {
        this.accessId = accessId;
    }

    //    public String getResourceType() {
//        return resourceType;
//    }
//
//    public void setResourceType(String resourceType) {
//        this.resourceType = resourceType;
//    }
//
//    public Long getResourceId() {
//        return resourceId;
//    }
//
//    public void setResourceId(Long resourceId) {
//        this.resourceId = resourceId;
//    }
//
    public String getRequestUrl() {
        return requestUrl;
    }

    public void setRequestUrl(String requestUrl) {
        this.requestUrl = requestUrl;
    }
//
//    public String getCallName() {
//        return callName;
//    }
//
//    public void setCallName(String callName) {
//        this.callName = callName;
//    }

    public String getCallIp() {
        return callIp;
    }

    public void setCallIp(String callIp) {
        this.callIp = callIp;
    }

    public String getCallResult() {
        return callResult;
    }

    public void setCallResult(String callResult) {
        this.callResult = callResult;
    }

    public Long getCallDuration() {
        return callDuration;
    }

    public void setCallDuration(Long callDuration) {
        this.callDuration = callDuration;
    }

    public String getRequestParam() {
        return requestParam;
    }

    public void setRequestParam(String requestParam) {
        this.requestParam = requestParam;
    }

    public String getReturnParam() {
        return returnParam;
    }

    public void setReturnParam(String returnParam) {
        this.returnParam = returnParam;
    }
}
